# Keyxchange

Written in `awk` and `sh` to be runable anywhere.

## Get the code

```shell
$ git clone https://git.freifunk-franken.de/freifunk-franken/VPNkeyXchange.git
$ cd VPNkeyXchange
```

## Run it

```shell
$ ./get_hood.sh
$ ./get_hood.sh $LAT $LON
```

## Example

```shell
$ ./get_hood.sh 49.92287650 11.03302002
```

```json
{
    "version": 1,
    "network": {
        ...
    },
    "vpn": [
        ...
    ],
    "hood": {
        "id": "43",
        "name": "Bamberg",
        "essid": "bamberg.freifunk",
        ....
    }
}
```
